# FormToArgumentsConverter Class Reference

Inheritance diagram for FormToArgumentsConverter:
[legend]

List of all members.

## Static Public Member Functions

static | getShort (Form $form)
static | getLong (Form $form)

## Static Private Member Functions

static | getValueType (BasePrimitive $primitive)

## Detailed Description

Definition at line 12 of file FormToArgumentsConverter.class.php.

## Member Function Documentation

static FormToArgumentsConverter::getLong | ( | Form $ | form | ) | `[static]`

Definition at line 27 of file FormToArgumentsConverter.class.php.

References PlainForm::getPrimitiveList().

Referenced by ArgumentParser::parse().

Here is the call graph for this function:

static FormToArgumentsConverter::getShort | ( | Form $ | form | ) | `[static]`

Definition at line 14 of file FormToArgumentsConverter.class.php.

References PlainForm::getPrimitiveList().

Referenced by ArgumentParser::parse().

Here is the call graph for this function:

static FormToArgumentsConverter::getValueType | ( | BasePrimitive $ | primitive | ) | `[static, private]`

Definition at line 40 of file FormToArgumentsConverter.class.php.

References BasePrimitive::isRequired().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/CommandLine/FormToArgumentsConverter.class.php